Name:          rst2pdf
Version:       0.103.1
Release:       2mamba
Summary:       Convert reStructuredText to PDF via ReportLab
Group:         System/Libraries/Python
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/rst2pdf/rst2pdf
Source:        https://github.com/rst2pdf/rst2pdf.git/%{version}/rst2pdf-%{version}.tar.bz2
Patch0:        rst2pdf-0.103.1-remove-smartypants_use_docutils_version.patch
Patch1:        rst2pdf-0.103.1-python-packaging-25.patch
License:       MIT
BuildArch:     noarch
## AUTOBUILDREQ-BEGIN
BuildRequires: (python3.11dist(docutils) >= 0.21.2 with python3.11dist(docutils) < 0.22)
BuildRequires: (python3.11dist(importlib-metadata) >= 8 with python3.11dist(importlib-metadata) < 9)
BuildRequires: (python3.11dist(jinja2) >= 3 with python3.11dist(jinja2) < 4)
BuildRequires: (python3.11dist(packaging) >= 25 with python3.11dist(packaging) < 26)
BuildRequires: (python3.11dist(pygments) >= 2 with python3.11dist(pygments) < 3)
BuildRequires: (python3.11dist(pyyaml) >= 6 with python3.11dist(pyyaml) < 7)
BuildRequires: (python3.11dist(reportlab) >= 4 with python3.11dist(reportlab) < 5)
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
Requires:      python3 >= 3.11

%description
Convert reStructuredText to PDF via ReportLab.

%prep
%setup -q
%patch 0 -p1 -b .remove-smartypants_use_docutils_version
%patch 1 -p1 -b .python-packaging-25

%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%{__python3} -m build --wheel --no-isolation

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python3} -m installer --destdir="%{buildroot}" dist/*.whl

#install -D -m 644 doc/rst2pdf.1 \
#   %{buildroot}/%{_mandir}/man1/rst2pdf.1
#echo "%{_mandir}/man1/rst2pdf.1.gz" >> %{name}.filelist

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/rst2pdf
%dir %{python3_sitelib}/rst2pdf-%{version}.dist-info
%{python3_sitelib}/rst2pdf-%{version}.dist-info/*
%dir %{python3_sitelib}/rst2pdf
%{python3_sitelib}/rst2pdf/*
%doc LICENSE.txt

%changelog
* Wed May 21 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 0.103.1-2mamba
- rebuilt with path for python-packaging 25

* Sat Dec 28 2024 Automatic Build System <autodist@openmamba.org> 0.103.1-1mamba
- automatic version update by autodist

* Fri Jun 07 2024 Automatic Build System <autodist@openmamba.org> 0.102-1mamba
- automatic version update by autodist

* Sun Oct 01 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.101-1mamba
- update to 0.101

* Sun Oct 01 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.98-3mamba
- rebuilt with python3 == 3.11

* Sun Oct 31 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.98-2mamba
- rebuilt with distdeps

* Mon Feb 22 2021 Automatic Build System <autodist@mambasoft.it> 0.98-1mamba
- automatic version update by autodist

* Wed Feb 03 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.95.1-1mamba
- update to 0.95.1

* Thu Aug 09 2012 Automatic Build System <autodist@mambasoft.it> 0.92-1mamba
- automatic version update by autodist

* Wed Dec 21 2011 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.16-2mamba
- fixing compatibility with docutils 0.8

* Tue Oct 12 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.16-1mamba
- package created by autospec
